<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm)"> <!--Bind it to loginsubmit() which is in login form components.ts  -->
<!-- create templet variblaeform loginForm="ngForm" which is only accesisble in this html-->
<fieldset class="mb-3"><!-- We'll give some breathing space between our inputs and our button. -->
<label for="username" ngClass="block">Username</label>
<!-- And over here, I'm going to add two specific things, the NG model directive. And then I'll create a template variable called username and sign that equal to an NG model.
     So in the same way that we created the login form, and set it is of type form, we're creating a template variable called User Name and saying that it is of type model ng model. 
     And we've got this ng model directive over here, which would bind this input to the form, which is its immediate parent. So if we try this, again, with those two new fields added, and we log in. -->
<input type="text"
ngModel
#username="ngModel"        
name="username" id="username"
class="border border-slate-300 p-2 rounded w-full"
placeholder="johndoe"/>


</fieldset>
<button type="submit" class ="bg-yellow-500 p-2 rounded">Login</button><!-- Let's do a yellowish, maybe 500. Right, let's do a padding. And I think the padding to work pretty nice for the input. Let's see what that looks like on the button. And let's also do rounded on the button -->

</form>
